Bug 1557365 - [RFE] DHT : Enable lookup-optimize by default
Summary: [RFE] DHT : Enable lookup-optimize by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503132 1575868
TreeView+ depends on / blocked
 
Reported: 2018-03-16 13:40 UTC by Nithya Balachandran
Modified: 2018-10-15 11:39 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-7
Doc Type: Enhancement
Doc Text:
With this update, the lookup-optimize option is now enabled by default. This option provides performance benefits with certain workloads.
Clone Of:
: 1575868 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:44:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:45:42 UTC

Description Nithya Balachandran 2018-03-16 13:40:55 UTC
Description of problem:

The lookup-optimize feature has been in the code base for at least the last 2 releases and has been found to significantly improve lookup and create performance .
There are several customers who have already enabled this on their setups but
it has not been officially qualified by QE.

I propose we enable this by default so the benefits are available to all deployments.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 Prasad Desala 2018-04-04 12:40:50 UTC
Verified this BZ on glusterfs version: 3.12.2-7.el7rhgs.x86_64.

cluster.lookup-optimize is now by default enabled to on.

[root@dhcp ~]# gluster v get distrepx3 cluster.lookup-optimize
Option                                  Value                                   
------                                  -----                                   
cluster.lookup-optimize                 on  

Volume Name: distrepx3
Type: Distributed-Replicate
Volume ID: f273cf4c-8f63-4985-b9d7-b64fe40c9fa7
Status: Started
Snapshot Count: 0
Number of Bricks: 18 x 3 = 54
Transport-type: tcp
Bricks:
Brick1: Node1:/bricks/brick0/distrepx3-b0
Brick2: Node2:/bricks/brick0/distrepx3-b0
Brick3: Node3:/bricks/brick0/distrepx3-b0
Brick4: Node4:/bricks/brick0/distrepx3-b0
Brick5: Node5:/bricks/brick0/distrepx3-b0
Brick6: Node6:/bricks/brick0/distrepx3-b0
Brick7: Node1:/bricks/brick1/distrepx3-b1
Brick8: Node2:/bricks/brick0/distrepx1-b1
Brick9: Node3:/bricks/brick1/distrepx3-b1
Brick10: Node4:/bricks/brick1/distrepx3-b1
Brick11: Node5:/bricks/brick1/distrepx3-b1
Brick12: Node6:/bricks/brick1/distrepx3-b1
Brick13: Node1:/bricks/brick2/distrepx3-b2
Brick14: Node2:/bricks/brick2/distrepx3-b2
Brick15: Node3:/bricks/brick2/distrepx3-b2
Brick16: Node4:/bricks/brick2/distrepx3-b2
Brick17: Node5:/bricks/brick2/distrepx3-b2
Brick18: Node6:/bricks/brick2/distrepx3-b2
Brick19: Node1:/bricks/brick3/distrepx3-b3
Brick20: Node2:/bricks/brick3/distrepx3-b3
Brick21: Node3:/bricks/brick3/distrepx3-b3
Brick22: Node4:/bricks/brick3/distrepx3-b3
Brick23: Node5:/bricks/brick3/distrepx3-b3
Brick24: Node6:/bricks/brick3/distrepx3-b3
Brick25: Node1:/bricks/brick4/distrepx3-b4
Brick26: Node2:/bricks/brick4/distrepx3-b4
Brick27: Node3:/bricks/brick4/distrepx3-b4
Brick28: Node4:/bricks/brick4/distrepx3-b4
Brick29: Node5:/bricks/brick4/distrepx3-b4
Brick30: Node6:/bricks/brick4/distrepx3-b4
Brick31: Node1:/bricks/brick5/distrepx3-b5
Brick32: Node2:/bricks/brick5/distrepx3-b5
Brick33: Node3:/bricks/brick5/distrepx3-b5
Brick34: Node4:/bricks/brick5/distrepx3-b5
Brick35: Node5:/bricks/brick5/distrepx3-b5
Brick36: Node6:/bricks/brick5/distrepx3-b5
Brick37: Node1:/bricks/brick6/distrepx3-b6
Brick38: Node2:/bricks/brick6/distrepx3-b6
Brick39: Node3:/bricks/brick6/distrepx3-b6
Brick40: Node4:/bricks/brick6/distrepx3-b6
Brick41: Node5:/bricks/brick6/distrepx3-b6
Brick42: Node6:/bricks/brick6/distrepx3-b6
Brick43: Node1:/bricks/brick7/distrepx3-b7
Brick44: Node2:/bricks/brick7/distrepx3-b7
Brick45: Node3:/bricks/brick7/distrepx3-b7
Brick46: Node4:/bricks/brick7/distrepx3-b7
Brick47: Node5:/bricks/brick7/distrepx3-b7
Brick48: Node6:/bricks/brick7/distrepx3-b7
Brick49: Node1:/bricks/brick8/distrepx3-b8
Brick50: Node2:/bricks/brick8/distrepx3-b8
Brick51: Node3:/bricks/brick8/distrepx3-b8
Brick52: Node4:/bricks/brick8/distrepx3-b8
Brick53: Node5:/bricks/brick8/distrepx3-b8
Brick54: Node6:/bricks/brick8/distrepx3-b8
Options Reconfigured:
nfs.disable: on
transport.address-family: inet
cluster.brick-multiplex: enable

We will carry our tests and the functional issues seen if any with this option enabled will be tracked separately.

Hence, moving to Verified.

Comment 6 Srijita Mukherjee 2018-09-03 13:39:48 UTC
Updated the doc text. Kindly review and confirm

Comment 8 errata-xmlrpc 2018-09-04 06:44:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.